Debian Bug report logs - #604343
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:avifile; Maintainer for src:avifile is Ying-Chun Liu (PaulLiu) <paulliu@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Sun, 21 Nov 2010 19:27:04 UTC

Severity: important

Tags: sid, wheezy

Fixed in version avifile/1:0.7.48~20090503.ds-4

Done: Moritz Muehlenhoff <jmm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian QA Group <packages@qa.debian.org>:
Bug#604343; Package src:avifile. (Sun, 21 Nov 2010 19:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 21 Nov 2010 19:27:07 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sun, 21 Nov 2010 20:24:16 +0100
Source: avifile
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:27:54 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:33:54 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:09 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@debian.org>:
You have taken responsibility. (Wed, 24 Aug 2011 21:03:18 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Wed, 24 Aug 2011 21:03:18 GMT) Full text and rfc822 format available.

Message #16 received at 604343-close@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: 604343-close@bugs.debian.org
Subject: Bug#604343: fixed in avifile 1:0.7.48~20090503.ds-4
Date: Wed, 24 Aug 2011 21:02:18 +0000
Source: avifile
Source-Version: 1:0.7.48~20090503.ds-4

We believe that the bug you reported is fixed in the latest version of
avifile, which is due to be installed in the Debian FTP archive:

avifile_0.7.48~20090503.ds-4.debian.tar.gz
  to main/a/avifile/avifile_0.7.48~20090503.ds-4.debian.tar.gz
avifile_0.7.48~20090503.ds-4.dsc
  to main/a/avifile/avifile_0.7.48~20090503.ds-4.dsc
libavifile-0.7-dev_0.7.48~20090503.ds-4_amd64.deb
  to main/a/avifile/libavifile-0.7-dev_0.7.48~20090503.ds-4_amd64.deb
libavifile-0.7c2_0.7.48~20090503.ds-4_amd64.deb
  to main/a/avifile/libavifile-0.7c2_0.7.48~20090503.ds-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604343@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Moritz Muehlenhoff <jmm@debian.org> (supplier of updated avifile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Aug 2011 15:12:06 +0200
Source: avifile
Binary: libavifile-0.7c2 libavifile-0.7-dev
Architecture: source amd64
Version: 1:0.7.48~20090503.ds-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Moritz Muehlenhoff <jmm@debian.org>
Description: 
 libavifile-0.7-dev - development header files for libavifile
 libavifile-0.7c2 - shared libraries for AVI read/writing
Closes: 188495 331038 372547 416448 450633 604343 633688 638566
Changes: 
 avifile (1:0.7.48~20090503.ds-4) unstable; urgency=low
 .
   * QA upload.
   * Build-depend on libjpeg-dev, not libjpeg62-dev (Closes: #633688)
   * Begin work on avifile depreaction. The library will be kept for now
     until the reverse deps have been cleared, but the player and utils
     are being removed now. They have far better replacements in the
     archive and are still actively maintained upstream. The removal
     closes a few bugs:
     (Closes: #450633, #604343, #188495, #331038, #372547, #416448)
   * Fix compatibility with libav/0.7.1 (Closes: #638566)
Checksums-Sha1: 
 8f8f48c69ad8b98462c1ffde9e159445c5458dff 1322 avifile_0.7.48~20090503.ds-4.dsc
 99201ca60d75fd5b92483fff4c626759a3d88011 25992 avifile_0.7.48~20090503.ds-4.debian.tar.gz
 63381aa1ac4c072400881aa7d4567c58fb99f40f 432570 libavifile-0.7c2_0.7.48~20090503.ds-4_amd64.deb
 d0753be4b324d29995457e864757d5b734008ebe 51808 libavifile-0.7-dev_0.7.48~20090503.ds-4_amd64.deb
Checksums-Sha256: 
 e6748222b216c922541c5e53dcc57365cd546ca7fc97c585b7dcfe1e82010049 1322 avifile_0.7.48~20090503.ds-4.dsc
 0dc1093c1c660daeddcabdcedd7b3268d2c303809b6a085bded8045e59a866ca 25992 avifile_0.7.48~20090503.ds-4.debian.tar.gz
 385c81503294a67acc84fb4e213a800fc11950a3a80863333cbc4523f02b545b 432570 libavifile-0.7c2_0.7.48~20090503.ds-4_amd64.deb
 78dd9f6218011f0c13a9066db378019b96f2b861af8eebcdcc9f997c7218866c 51808 libavifile-0.7-dev_0.7.48~20090503.ds-4_amd64.deb
Files: 
 ca261b3c7d415784f63a7d360079e0a1 1322 libs optional avifile_0.7.48~20090503.ds-4.dsc
 531eddf4a0a78f65ee6f6576386449f2 25992 libs optional avifile_0.7.48~20090503.ds-4.debian.tar.gz
 6d90819529303d4f7a09b56c53ea3482 432570 libs optional libavifile-0.7c2_0.7.48~20090503.ds-4_amd64.deb
 80e528ad0e91ee39a15211944f1f6b51 51808 libdevel optional libavifile-0.7-dev_0.7.48~20090503.ds-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5VWDMACgkQXm3vHE4uyloCgACgg1Qa72kSrOSI0Zypo+yBVZBZ
11sAnRkpdW7jbV6TVU9CGbUepoUiPTT8
=lNty
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Oct 2011 07:34:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:19:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.